Opened 17 years ago

Closed 17 years ago

Last modified 16 years ago

#1181 closed defect (fixed)

BUG: libgcrypt-1.1.44 -- build error; socklen_t

Reported by: nrc@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: mij@…
Port:

Description

When trying to install this package on OS X 10.2/gcc3.3, I get these errors:

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/opt/local/include -no-cpp-precomp -Wall -MT ath-pthread-compat.lo -MD -MP -MF .deps/ath-pthread-compat.Tpo -c ath-pthread-compat.c -fno-common -DPIC -o .libs/ath-pthread-compat.lo In file included from ath-pthread-compat.c:25: ath.h:74: error: parse error before "socklen_t" ath.h:75: error: parse error before "socklen_t" ath.h:94: error: parse error before "socklen_t" ath.h:95: error: parse error before "socklen_t"

The problem seems to be that ath.h doesn't include config.h (which correctly defines socklen_t since it doesn't exist in Darwin). Adding

#include <config.h>

to the top of the file allows it to compile, although I haven't thoroughly tested the package.

Change History (2)

comment:1 Changed 17 years ago by nrc@…

Cc: mij@… added

comment:2 Changed 17 years ago by mij@…

Resolution: fixed
Status: newclosed

I just added a patch to do this on darwin 6.

Thanks,

  • jim
Note: See TracTickets for help on using tickets.